import React from "react";
import ReactDOM from "react-dom";
import { Designer } from "@mescius/activereportsjs-react";
import {FontStore} from '@mescius/activereportsjs/core';
FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json");
const initTemplates = {
imperialTemplates: [
{id: "templates/imperial-template.rdlx-json"}
],
metricTemplates: [
{id: "templates/metric-template.rdlx-json"}
]
}
function onInit() {
return {
customInitTemplates: initTemplates
};
}
function App() {
return (
<div id="designer-host">
<Designer
onInit={onInit}
></Designer>
</div>
);
}
ReactDOM.render(<App />, document.getElementById("root"));
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Custom Defaults Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" href="index.css" />
<!-- SystemJS -->
<script src="./vendor/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app");
</script>
</head>
<body style="margin: 0">
<div id="root"></div>
</body>
</html>
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 550px;
}
(function (global) {
System.config({
transpiler: "plugin-babel",
babelOptions: {
es2015: true,
react: true,
},
meta: {
"*.css": { loader: "css" },
},
paths: {
// paths serve as alias
"npm:": "node_modules/",
},
// map tells the System loader where to look for things
map: {
css: "npm:systemjs-plugin-css/css.js",
react: "npm:react/umd/react.production.min.js",
"react-dom": "npm:react-dom/umd/react-dom.production.min.js",
"@mescius/activereportsjs/pdfexport":
"npm:@mescius/activereportsjs/dist/ar-js-pdf.js",
"@mescius/activereportsjs/tabulardataexport":
"npm:@mescius/activereportsjs/dist/ar-js-tabular-data.js",
"@mescius/activereportsjs/htmlexport":
"npm:@mescius/activereportsjs/dist/ar-js-html.js",
"@mescius/activereportsjs/xlsxexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsx.js",
"@mescius/activereportsjs/xlsxadvexport":
"npm:@mescius/activereportsjs/dist/ar-js-xlsxAdv.js",
"@mescius/activereportsjs-react":
"npm:@mescius/activereportsjs-react/lib/index.js",
"@mescius/activereportsjs/reportviewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/viewer":
"npm:@mescius/activereportsjs/dist/ar-js-viewer.js",
"@mescius/activereportsjs/reportdesigner":
"npm:@mescius/activereportsjs/dist/ar-js-designer.js",
"@mescius/activereportsjs/core":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs/styles": "npm:@mescius/activereportsjs/styles",
"@mescius/activereportsjs-i18n-ja":
"npm:@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"npm:@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
"@mescius/ar-js-pagereport":
"npm:@mescius/activereportsjs/dist/ar-js-core.js",
"plugin-babel": "npm:systemjs-plugin-babel/plugin-babel.js",
"systemjs-babel-build":
"npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: "jsx",
},
node_modules: {
defaultExtension: "js",
},
},
});
})(this);

Default Report Item Properties

These samples show how to configure default report item properties for the designer component. Try adding a textbox into a report and notice that it has the preconfigured background color, text alignment, font family, and font size properties. For more details, please visit the documentation. To view the code, scroll down the page.

app.vue
index.html
Copy to CodeMine
<template> <div id="designer-host"> <arjs-designer :onInit="onInit"></arjs-designer> </div> </template> <script> import { Designer } from "@mescius/activereportsjs-vue"; import Core from "@mescius/activereportsjs/core"; Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json"); export default { components: { "arjs-designer": Designer }, methods: { onInit() { return { customInitTemplates: { metricTemplates: [{ id: "templates/metric-template.rdlx-json" }], imperialTemplates: [{ id: "templates/imperial-template.rdlx-json" }], }, }; }, }, }; </script> <style> @import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css"); @import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css"); #designer-host { width: 100%; height: 550px; } </style>
<template> <div id="designer-host"> <arjs-designer :onInit="onInit"></arjs-designer> </div> </template> <script> import { Designer } from "@mescius/activereportsjs-vue"; import Core from "@mescius/activereportsjs/core"; Core.FontStore.registerFonts("/activereportsjs/demos/resource/fontsConfig.json"); export default { components: { "arjs-designer": Designer }, methods: { onInit() { return { customInitTemplates: { metricTemplates: [{ id: "templates/metric-template.rdlx-json" }], imperialTemplates: [{ id: "templates/imperial-template.rdlx-json" }], }, }; }, }, }; </script> <style> @import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css"); @import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css"); #designer-host { width: 100%; height: 550px; } </style>
<!DOCTYPE html> <html lang="en"> <head> <meta charset="utf-8" /> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <title>ActiveReportsJS Report Designer Custom Defaults Sample</title> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <!-- SystemJS --> <script src="node_modules/systemjs/dist/system.src.js"></script> <script src="systemjs.config.js"></script> <script src="./compiler.js" type="module"></script> <script> System.import("./app.js"); </script> </head> <body> <div id="app"></div> </body> </html>
(function (global) { SystemJS.config({ transpiler: "systemjs-plugin-babel", typescriptOptions: { target: "es2022", module: "system", }, baseURL: "./node_modules/", packageConfigPaths: [ "./node_modules/*/package.json", "./node_modules/@mescius/*/package.json", "./node_modules/@babel/*/package.json", "./node_modules/@vue/*/package.json", ], map: { vue: "./node_modules/vue/dist/vue.esm-browser.js", "systemjs-babel-build": "systemjs-plugin-babel/systemjs-babel-browser.js", "@mescius/activereportsjs/pdfexport": "@mescius/activereportsjs/dist/ar-js-pdf.js", "@mescius/activereportsjs/tabulardataexport": "@mescius/activereportsjs/dist/ar-js-tabular-data.js", "@mescius/activereportsjs/htmlexport": "@mescius/activereportsjs/dist/ar-js-html.js", "@mescius/activereportsjs/xlsxexport": "@mescius/activereportsjs/dist/ar-js-xlsx.js", "@mescius/activereportsjs-vue": "@mescius/activereportsjs-vue/lib/index.js", "@mescius/activereportsjs/reportviewer": "./reportviewer.js", "@mescius/activereportsjs/viewer": "./reportviewer.js", "@mescius/activereportsjs/reportdesigner": "./reportdesigner.js", "@mescius/activereportsjs/core": "@mescius/activereportsjs/dist/ar-js-core.js", "@mescius/activereportsjs/styles": "@mescius/activereportsjs/styles", "@mescius/activereportsjs-i18n": "@mescius/activereportsjs-i18n/dist/ar-js-locales.js", "@mescius/ar-js-pagereport": "@mescius/activereportsjs/dist/ar-js-core.js", "@mescius/activereportsjs-i18n-ja": "@mescius/activereportsjs-i18n/dist/designer/ja-locale.js", "@mescius/activereportsjs-i18n-zh": "@mescius/activereportsjs-i18n/dist/designer/zh-locale.js", }, meta: { "*.css": { loader: "systemjs-plugin-css" }, "./src/*.vue": { loader: "../plugin-vue/index.js" }, "*.vue": { loader: "./plugin-vue/index.js" }, }, packages: { "vue-demi": { defaultExtension: "mjs", main: "lib/index.mjs", }, }, }); })(this);

import { Component } from "@angular/core";
@Component({
selector: "app-root",
template:
'<div id="designer-host"><gc-activereports-designer [onInit]="onInit"></gc-activereports-designer></div> ',
styleUrls: ["src/app.component.css"],
})
export class AppComponent {
onInit = function onInit() {
return {
customInitTemplates: {
metricTemplates: [{id: "templates/metric-template.rdlx-json"}],
imperialTemplates:[{id: "templates/imperial-template.rdlx-json"}]
}
}
}
}
@import url("/activereportsjs/demos/arjs/styles/ar-js-ui.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-designer.css");
@import url("/activereportsjs/demos/arjs/styles/ar-js-viewer.css");
#designer-host {
width: 100%;
height: 550px;
}
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { ActiveReportsModule } from "@mescius/activereportsjs-angular";
import { ReactiveFormsModule } from "@angular/forms";
@NgModule({
declarations: [AppComponent],
imports: [BrowserModule, ActiveReportsModule, ReactiveFormsModule],
providers: [],
bootstrap: [AppComponent],
})
export class AppModule {}
(function (global) {
System.config({
transpiler: "./plugin-typescript.js",
typescriptOptions: {
"target": "ES2022",
"module": "system",
"emitDecoratorMetadata": true,
"experimentalDecorators": true,
},
baseURL: "./node_modules/",
meta: {
typescript: {
exports: "ts",
},
"*.css": { loader: "systemjs-plugin-css" },
},
packageConfigPaths: [
"./node_modules/*/package.json",
"./node_modules/@angular/*/package.json",
"./node_modules/@mescius/*/package.json",
],
map: {
'typescript': "typescript/lib/typescript.js",
'rxjs': "rxjs/dist/bundles/rxjs.umd.js",
"rxjs/operators": "rxjs/dist/bundles/rxjs.umd.js",
"@angular/core/primitives/signals": "@angular/core/fesm2022/primitives/signals.mjs",
"@angular/common/http": "@angular/common/fesm2022/http.mjs",
"@mescius/activereportsjs/core":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs": "./activereports.js",
"@mescius/activereportsjs/reportdesigner":"./activereports.js",
"@mescius/ar-js-pagereport":
"@mescius/activereportsjs/dist/ar-js-core.js",
"@mescius/activereportsjs-i18n-ja":
"@mescius/activereportsjs-i18n/dist/designer/ja-locale.js",
"@mescius/activereportsjs-i18n-zh":
"@mescius/activereportsjs-i18n/dist/designer/zh-locale.js",
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
"./src": {
defaultExtension: "ts",
},
rxjs: {
defaultExtension: "js",
// "main": "bundles/rxjs.umd.min.js"
},
node_modules: {
defaultExtension: "js",
},
"@angular/core": {
defaultExtension: "mjs",
main: "fesm2022/core.mjs",
},
"@angular/platform-browser": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser.mjs",
},
"@angular/common": {
defaultExtension: "mjs",
main: "fesm2022/common.mjs",
},
"@angular/compiler": {
defaultExtension: "mjs",
main: "fesm2022/compiler.mjs",
},
"@angular/forms": {
defaultExtension: "mjs",
main: "fesm2022/forms.mjs",
},
"@angular/localize": {
defaultExtension: "mjs",
main: "fesm2022/localize.mjs",
},
"@angular/platform-browser-dynamic": {
defaultExtension: "mjs",
main: "fesm2022/platform-browser-dynamic.mjs",
},
"@mescius/activereportsjs-angular": {
defaultExtension: "mjs",
main: "fesm2022/grapecity-activereports-angular.mjs",
},
},
});
})(this);
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>ActiveReportsJS Report Designer Custom Defaults Sample</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<!-- Polyfills -->
<script src="node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import("./src/app.main");
</script>
</head>
<body style="margin: 0">
<app-root></app-root>
</body>
</html>